# Get Pipeline Issues

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Pipeline Issues"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines/{pipeline_name}/issues"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Fetches pipeline runtime issues from pipeline logs.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Name of the pipeline.","in":"path","name":"pipeline_name","required":true,"schema":{"description":"Name of the pipeline.","title":"Pipeline Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"properties":{"match":{"description":"A search term used to match against pipeline logs to identify runtime issues.","title":"Match","type":"string"},"message":{"description":"The details of a pipeline runtime issue.","title":"Message","type":"string"},"title":{"description":"The title of a pipeline runtime issue.","title":"Title","type":"string"}},"required":["title","message","match"],"title":"PipelineIssue","type":"object"},"title":"Data","type":"array"},"total":{"description":"The total number of results matching your query.","title":"Total number of results","type":"integer"}},"required":["data","total"],"title":"PipelineIssues","type":"object"}}},"description":"Recent issues that occurred during running a pipeline."},"404":{"description":"The pipeline doesn't exist in the workspace or pipeline logs could not be found."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"},"504":{"description":"Fetching logs from OpenSearch timed out. Try again later."}}}
>
  
</StatusCodes>
